body {
  display: flex;
  justify-content: center;
  /*align-items: center;*/
  height: 100vh;
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #f0f0f0;
}

.chat-body {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 500px;
	height: 600px;
	background-color: white;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
	display: none; 
	padding: 20px;
	box-sizing: border-box;
}

.chat-messages {
	height: 400px;
	overflow-y: scroll;
	padding: 10px;
	margin-bottom: 10px;
}
.chat-messages div {
	margin-bottom: 10px;
}

input[type="text"] {
	width: 100%;
	padding: 10px;
	box-sizing: border-box;
	border: 1px solid #ccc;
	border-radius: 4px;
	margin-bottom: 10px;
}

button[id="send-message"] {
	background-color: #4CAF50;
	color: white;
	padding: 10px 20px;
	border: none;
	border-radius: 4px;
	cursor: pointer;
	float: right;
}
button[id="send-message"]:hover {
	background-color: #45a049;
}

.tabs-container {
  border: 1px solid #ccc;
  border-radius: 5px;
  overflow: hidden;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.tab-btn {
  background-color: #f0f0f0;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.3s;
  width: 100%;
}

.tab-btn.active {
  background-color: #ddd;
}

.tab-content {
  display: flex;
  flex-direction: column;
  align-items: stretch;
}

.tab {
  display: none;
}

.tab-1 {
  display: block;
}

.tab-2 {
  display: none;
}

#dropArea {
            width: 300px;
            height: 150px;
            border: 2px dashed #ccc;
            padding: 20px;
            text-align: center;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: space-between;
        }

        #uploadButton {
            background-color: blue;
            color: white;
            border: none;
            padding: 10px 20px;
            display: none;
        }

        #response {
            margin-top: 10px;
            padding: 10px;
            border: 1px solid #ccc;
            display: none;
        }

        #fileUrlForm {
            display: flex;
            align-items: center;
            margin-top: 20px;
        }

        #fileUrlInput {
            flex: 1;
            padding: 6px;
            border: 1px solid #ccc;
            border-radius: 4px 0 0 4px;
            outline: none;
        }

        #loadFileButton {
            background-color: blue;
            color: white;
            border: none;
            border-radius: 0 4px 4px 0;
            padding: 6px 12px;
            cursor: pointer;
        }

        #fileNameDisplay {
            margin-top: 10px;
            font-weight: bold;
        }